<?php
$storeName =  $this->getGeoDetectedStoreName();
?>
<!DOCTYPE html>
<html>
<head>
<style type="text/css">
	.popup-preview {
	  position: relative;
	  margin: auto;
	  padding: 20px;
	  width: 50%;
	}

	/* popup 1*/

	/* The Modal (background) */
	.modal1 {
	  padding-top: 10px;
	  padding-bottom: 10px;
	  width: 100%; /* Full width */
	  height: 100%; /* Full height */
	}

	/* Modal Content */
	.modal-content1 {
	  background-color: rgb(50 135 223 / 100%);
	  margin: auto;
	  padding: 20px;
	  border: 1px solid #888;
	  width: 40%;
	}

	.modal-content1 .title1 .popup_main_title_biz,
	.modal-content1 .title1 .popup_subtitle_biz{color: #fff;}
	.modal-content1 .title1 .popup_main_title_biz{font-size: 25px;}
	.modal-content1 .title1 .popup_subtitle_biz{font-size: 18px; margin-top: 10px;}
	.modal_content_detail span, 
	.modal_content_detail b, 
	.modal-content1 .modal_content_detail .content_link{color: #fff;}
	.modal-content1 .modal_content_detail{padding: 15px 0; border-top: 1px solid #fff; margin-top: 12px;}
	.modal-content1 .modal_content_detail .content_link{text-align: left; margin-top: 10px;}
	.modal-content1 #okbtn1 { font-size: 18px; border: none; background: #fff; padding: 10px 40px; cursor: pointer; -webkit-transition: all 0.3s ease;-o-transition: all 0.3s ease; margin-top: 20px;}
	.modal-content1 #okbtn1:hover{opacity: 1;}
	.close1 { position: relative; right: -30px; top: -30px; float: none; font-size: 28px; color: #fff; float: right; font-size: 27px; font-weight: bold; background: #000; border-radius: 100%; height: 30px; width: 30px; line-height: 30px; text-align: center; border: 2px solid #fff; }
	.store_name1{color: #008000; font-weight: 600;}
	.popup1-content-detail span{font-size: 16px;}
	.modal_content_detail span { font-size: 18px; }

	/* The Close Button */
	.okbtn1 {
		  margin: 0;
	    display: inline-block;
	    text-align: center;
	    width: auto;
	  background-color: #cceeff;
	  border-width: 1px;
	  border-color: #99ddff;
	  border-radius: 2px;
	  opacity: 90%
	}
	.okbtn1:hover,
	.okbtn1:focus {
		background-color: #b3e6ff;
		border-color: #66ccff;
		opacity: 100%;
	}

	/* popup 2*/

	/* The Modal (background) */
	.modal2 {
	  padding-top: 10px;
	  padding-bottom: 10px;
	  width: 100%; /* Full width */
	  height: 100%; /* Full height */
	}

	/* Modal Content */
	.modal-content2 {
	  position: relative;
	  background-color: #fff;
	  margin: auto;
	  padding: 20px;
	  width: 40%;
	  border: 1px solid black;
	}

	.close2 { position: absolute; right: -13px; top: -10px; float: none; font-size: 28px; color: #fff; float: right; font-size: 27px; font-weight: bold; background: #000; border-radius: 100%; height: 30px; width: 30px; line-height: 30px; text-align: center; border: 2px solid #fff; }
	.title2 { margin: 0; text-align: center; font-size: 30px; width: auto; }
	.modal-content2 .popup2_main_title_biz{font-size: 22px;}
	.modal-content2 .popup2_subtitle_biz{font-size: 18px; margin-top: 14px;}
	.modal-content2 .popup2-link{text-align: left; text-align: center; margin-bottom: 12px; margin-top: 25px;}
	.modal-content2 #okbtn2{font-size: 18px;
	padding: 10px 15px; border: none; background: #000; color: #fff; opacity: 90%; cursor: pointer; -webkit-transition: all 0.3s ease;-o-transition: all 0.3s ease; box-shadow: none; align-items: center;}
	.model_popup2_content{margin-top: 16px; border-top: 1px solid #ddd; padding-top: 20px; }
	.model_popup2_content span{font-size: 17px;}
	.store_name2{color: #005aff; font-weight: bold;}


	/*popup 3*/

	/* The Modal (background) */
	.modal3 {
	  padding-top: 10px;
	  padding-bottom: 10px;
	  width: 100%; /* Full width */
	  height: 100%; /* Full height */
	}

	/* Modal Content */
	.modal-content3 {
	  position: relative;
	  background: #fff;
	  opacity: 1;
	  margin: auto;
	  border: 1px solid #888;
	  width: 40%;
	  padding-bottom: 20px;
	}

	.modal-content3 .title3{padding: 20px;}
	.modal-popup3-title{font-size: 24px; /*margin-bottom: 10px;*/ color: #fff;}
	.modal-popup3-sub-title{color: #fff;}
	.title3{background: #3e8bff;}
	.content3{margin-top: 20px; padding: 20px;}
	.popup3-content{margin-top: 10px;}
	.close3 { position: absolute; right: -13px; top: -15px; float: none; font-size: 28px; color: #fff; float: right; font-size: 27px; font-weight: bold; background: #000; border-radius: 100%; height: 30px; width: 30px; line-height: 30px; text-align: center; border: 2px solid #fff; }
	.close3:hover{color: #fff;}
	#okbtn3 { font-size: 18px; padding: 10px 15px; cursor: pointer; border: 1px solid #4bb3e7; -webkit-transition: all 0.3s ease; -o-transition: all 0.3s ease; box-shadow: none;}
	.popup3-content-detail span{font-size: 16px;}
	.store_name3{color: #62bc01; font-weight: bold;}

	.okbtn3 {
		margin: 0;
		display: inline-block;
		text-align: center;
		width: auto;
		background-color: #cceeff;
		border-width: 1px;
		border-color: #99ddff;
		border-radius: 2px;
		opacity: 90%
	}
	.okbtn3:hover,
	.okbtn3:focus {
		background-color: #b3e6ff;
		border-color: #66ccff;
		opacity: 100%;
	}

	/*popup 4*/

	/* The Modal (background) */
	.modal4 { 
	  padding-top: 10px;
	  padding-bottom: 10px;
	  width: 100%; /* Full width */
	  height: 100%; /* Full height */
	}

	/* Modal Content */
	.modal-content4 {
	  position: relative;
	  background-color: #f5f5f5;
	  margin: auto;
	  padding: 20px;
	  border: 2px solid #444;
	  width: 40%;
	  border-radius: 4px;
	}

	.close4 { position: absolute; right: -13px; top: -15px; float: none; font-size: 28px; color: #fff; float: right; font-size: 27px; font-weight: bold; background: #444444; border-radius: 100%; height: 30px; width: 30px; line-height: 30px; text-align: center; border: 2px solid #444444; }
	.close4:hover{color: #fff;}
	.popup4-title{font-size: 22px; margin-bottom: 5px;}
	.content4{margin-top: 20px; padding-top: 20px; border-top: 1px solid #cecbcb;}
	.popup4-link{margin-top: 20px; text-align: center; margin-bottom: 10px;}
	#okbtn4 { font-size: 18px; padding: 10px 15px; border: 1px solid #056bb3; background: #056bb3; color: #fff; border-radius: 0; opacity: 1; cursor: pointer; -webkit-transition: all 0.3s ease;-o-transition: all 0.3s ease;transition: all 0.3s ease; box-shadow: none;}
	#okbtn4:hover{background: transparent; color: #056bb3;}
	.store_name4{color: #008000; font-weight: 600;}
	.popup4-content-detail span{font-size: 16px;}

	/*configure button*/
	.configure-button {
		text-align: center;
	    font-size: 1.4rem;
	    border-radius: 1px;
	    padding: 0.6rem 1em 0.6rem;
	    font-weight: 800;
	    color: #514943;
	    background: #e3e3e3;
	    padding-top: 2px;
	    padding-bottom: 3px;
	}
	.configure-button:hover {
	  	text-decoration: none;
	    color: #514943;
	    background-color: #dad0d0;
		border-color: #66ccff;
	}
	.back-button {
		text-align: center;
	    font-size: 1.4rem;
	    border-radius: 1px;
	    padding: 0.6rem 1em 0.6rem;
	    font-weight: 800;
	    color: #514943;
	    background: #e3e3e3;
	}
	.back-button:hover {
	  	text-decoration: none;
	    color: #514943;
	}
	.notice {
		width: 50%;
		margin-left: 25%;
	    color: #514943;
	    padding: 5px 10px;
	  	border: 2px solid #888;
	    font-weight: 600;
	    background-color: #e0dad5;
		border-color: #7b6f66;
	}
</style>
</head>
<body>
	<a class="back-button" href='<?=$this->getBackUrl()."?section=geoip"?>'>Back</a>
	<div class="notice">
		Please note, message in the preview style we will be updated only after you save the previous configurations. From here you can select the style, and message will be updated based on your configured text.
	</div>

	<!-- popup 1 -->
	<div class="popup-preview">
		<b>Style 1</b> : Popup will be shown to customer like: 
	</div>
	<div id="geoip_pupup" class="modal1">
		<!-- Popup modal content -->
		<div class="modal-content1">
			<?php if($this->manualstoreSwich()) { ?>
			<span class="close1">&times;</span>
			<?php } ?>
			<div class="title1">
				<div class="popup_main_title_biz"><?=$this->getTitle();?></div>
				<div class="popup_subtitle_biz"></div>
			</div>
			<div class="content1">
				<div class="modal_content_detail">
					<span>Geo-Located Store: </span><span class="store_name1"><?=ucwords($storeName)?></span>
					<div class="content_link"><?=$this->getMessage();?></div>
				</div>
			</div>
			<center>
				<button id="okbtn1" class="okbtn1" name="okbtn1"  type="submit" class="action">
					<span><span><strong><?=$this->getButtonText();?></strong></span></span>
				</button>
		</center>
		</div>
	</div>
	<center><a class="configure-button" href="<?=$this->configureStyleUrl().'?style=1'?>">Configure Style 1</a></center>


	<!-- popup 2 -->
	<div class="popup-preview">
		<b>Style 2</b> : Popup will be shown to customer like: 
	</div>
	<div id="geoip_pupup" class="modal2">

		<!-- Popup modal content -->
		<div class="modal-content2">
			<?php if($this->manualstoreSwich()) { ?>
      <span class="close2">&times;</span>
      <?php } ?>
			<div class="title2">
				<div class="popup2_main_title_biz"><?=$this->getTitle();?></div>
				<div class="popup2_subtitle_biz"></div>
			</div>
			<div class="content2">
				<div class="model_popup2_content">
					<span>Geo-Located Store: </span><span class="store_name2"><?=ucwords($storeName)?></span>
					<div class="popup2-link"><?=$this->getMessage();?></div>
				</div>
			</div>
				<center>
					<button id="okbtn2" class="okbtn2" name="okbtn2"  type="submit" class="action">
						<span><span><?=$this->getButtonText();?></span></span>
					</button>
			</center>
		</div>
	</div>
	<center><a class="configure-button" href="<?=$this->configureStyleUrl().'?style=2'?>">Configure Style 2</a></center>


	<!-- popup 3 -->
	<div class="popup-preview">
		<b>Style 3</b> : Popup will be shown to customer like: 
	</div>
	<div id="geoip_pupup" class="modal3">

		<!-- Popup modal content -->
		<div class="modal-content3">
			<?php if($this->manualstoreSwich()) { ?>
      <span class="close3">&times;</span>
      <?php } ?>
			<div class="title3">
	          <div class="modal-popup3-title"><?=$this->getTitle();?></div>
	          <div class="modal-popup3-sub-title"></div>
	      	</div>
			<div class="content3">
	        	<div class="popup3-content-detail">
		          <span>Geo-Located Store: </span><span class="store_name3"><?=ucwords($storeName)?></span>
		          <div class="popup3-content"><?=$this->getMessage();?></div>
		        </div>
	      	</div>
				<center>
					<button id="okbtn3" class="okbtn3" name="okbtn3"  type="submit" class="action">
						<span><span><strong><?=$this->getButtonText();?></strong></span></span>
					</button>
			</center>
		</div>
	</div>
	<center><a class="configure-button" href="<?=$this->configureStyleUrl().'?style=3'?>">Configure Style 3</a></center>


	<!-- popup 4 -->
	<div class="popup-preview">
		<b>Style 4</b> : Popup will be shown to customer like: 
	</div>
	<!-- Load popup for the enable -->
	<div id="geoip_pupup" class="modal4">

		<!-- Popup modal content -->
		<div class="modal-content4">
			<?php if($this->manualstoreSwich()) { ?>
      <span class="close4">&times;</span>
      <?php } ?>
			<div class="title4">
		        <div class="popup4-title"><?=$this->getTitle();?></div>
		        <div class="popup4-subtitle"></div>
		    </div>
			<!-- <hr> -->
			<div class="content4">
		        <div class="popup4-content-detail">
		          <span>Geo-Located Store:</span> <span class="store_name4"><?=ucwords($storeName)?></span>
		          <div class="popup4-link"><?=$this->getMessage();?></div>
		        </div>
		      </div>
				<center>
					<button id="okbtn4" class="okbtn4" name="okbtn4"  type="submit" class="action">
						<span><span><strong><?=$this->getButtonText();?></strong></span></span>
					</button>
				</center>
		</div>
	</div>
	<center><a class="configure-button" href="<?=$this->configureStyleUrl().'?style=4'?>">Configure Style 4</a></center>
</body>
</html>